<template>
	<div>
		<button type="button">{{buttonText}}</button>
		<button type="button" @click="addSymbol">Add "!"</button>
		<p>{{getFullName}}</p>
	</div>

</template>

<script>
export default {
	name: "TestVue",
	data: () => ({
		buttonText: "Das ist ein Button",
		firstName: "Max",
		lastName: "Mustermann"
	}),
	methods: {
		addSymbol() {
			return this.buttonText += "!"
		}
	},
	computed: {
		getFullName() {
			return this.firstName + " " + this.lastName;
		}
	}
}
</script>

<style>

</style>
